distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Library for getting and setting POSIX.1e capabilities
Name:      	libcap
Version:   	2.11
Release:   	2
License: 	GNU/GPL
Url:		ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/
Group:     	System/Libraries
Source0: 	libcap-%{version}.tar.gz
Patch0:		libcap-kernel2626.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package devel
Summary: 	libcap development headers.
Group:     	System/Libraries
Requires: 	libcap = %{version}

%description devel
Header and include files for developing applications with libcap.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n libcap-%{version}
# fix missing include <linux/types.h>
%patch0 -p1 -b .kernel_2_6_26

%build
make PREFIX=/usr LIBDIR=/usr/lib && make

%install
rm -rf ${RPM_BUILD_ROOT}
make install FAKEROOT=${RPM_BUILD_ROOT} \
             LIBDIR=${RPM_BUILD_ROOT}/usr/lib \
             SBINDIR=${RPM_BUILD_ROOT}/usr/sbin \
             INCDIR=${RPM_BUILD_ROOT}/usr/include \
             MANDIR=${RPM_BUILD_ROOT}/usr/share/man
chmod +x ${RPM_BUILD_ROOT}/usr/lib/*.so.*

mkdir -p ${RPM_BUILD_ROOT}/lib/security/
mv ${RPM_BUILD_ROOT}/usr/lib/security/pam_cap.so ${RPM_BUILD_ROOT}/lib/security/
rm -rf ${RPM_BUILD_ROOT}/usr/lib/security

%files
%defattr(-,root,root)
%{_mandir}
%{_sbindir}
%{_libdir}/*.so.*
/lib/security/pam_cap.so

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/*.a
%{_libdir}/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.11-2
- removed fake provide libcap.so.1
* Fri Jul 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.11-1
- version update
* Wed Jan 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.10-1
- Initial Release
